server_tokens off;
proxy_hide_header X-Powered-By;

rewrite ^/.well-known/webfinger /index.php/.well-known/webfinger last;
rewrite ^/.well-known/nodeinfo /index.php/.well-known/nodeinfo last;

location = /.well-known/carddav {
  return 301 $scheme://$host/remote.php/dav;
}

location = /.well-known/caldav {
  return 301 $scheme://$host/remote.php/dav;
}

location = /robots.txt {
  allow all;
  log_not_found off;
  access_log off;
}

location ~ ^/(?:build|tests|config|lib|3rdparty|templates|data)/ {
  deny all;
}

location ~ ^/(?:autotest|occ|issue|indie|db_|console) {
  deny all;
}